import 'package:flutter/material.dart';
import 'package:training_lights/my_theme.dart';
import 'package:training_lights/routes/pairing_route/widgets/status_layout.dart';
import 'package:training_lights/utils/languages/language.dart';
import 'package:training_lights/utils/ratio_size.dart';

class BluetoothUnavailable extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    final language = Language.of(context);

    return StatusLayout(
      title: language.pairingRouteUnavailableTitle,
      subtitle: language.pairingRouteUnavailableSubtitle,
      icon: Icon(
        Icons.error_outline,
        color: myTheme().colorScheme.secondary,
        size: RatioSize.getRatioSizeOfSmallerSide(context, 0.2),
      ),
    );
  }
}
