import 'package:flutter/cupertino.dart';

class FittedText extends StatelessWidget {
  final String text;
  final TextStyle? style;

  const FittedText(this.text, {
    this.style,
    Key? key,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return FittedBox(
      fit: BoxFit.fitWidth,
      child: Text(
        text,
        style: style,
        textAlign: TextAlign.center,
        overflow: TextOverflow.ellipsis,
      ),
    );
  }
}
