import 'package:flutter/material.dart';
import 'package:training_lights/my_theme.dart';

class MySnackBar extends SnackBar {
  final String text;

  MySnackBar({
    required this.text,
  }) : super(
    content: Text(
      text,
      style: myTheme().textTheme.bodyText2,
    ),
    duration: const Duration(seconds: 2),
  );
}
